Error installing .Net v3.5 SP1

Many users have reported that they are having problems installing .net 3.5 SP1 or .net 3.0. There are many issues that can cause this problem. After much testing we have found the best way to fix this problem is to run the .net cleanup tool and install .net 3.5 SP1 once it has finished. We recommend removing all .Net versions on your system unless you specifically need one.

[Update: This can also be caused by IIS being installed. If you do not require IIS, uninstall it then try installing the .Net 3.5 SP1 framework again]

Instructions
1. Run .Net Cleanup Tool
2. Remove all versions of the .Net framework from your computer
3. Restart your computer
4. Install .Net Framework 3.5 SP1

.Net Cleanup Tool [500kb]
Download Link 1
Download Link 2
Website

Microsoft .Net Framework 3.5 SP1 Boot Strap Install [2MB]
Download Link 1

Microsoft .Net Framework 3.5 SP1 Full Install [250MB]
Download Link 1

Applies To
Windows 2000
Windows XP
Windows Vista
Windows Server 2000
Windows Server 2003
Windows Server 2008

2 thoughts on “Error installing .Net v3.5 SP1”

  1. i had downloaded .net clean up tool i have windows 8 it has. netfx4.5 and when run this tool it only shows net1.0 and1.1 but i want to remove 4.5 all option does nothing when i restart my pc same thing again comes
    i want to install.net3.5 to run games but i hab
    have 4.5 and feature turn on option for 3.0 won’t work at all
    itried DISM net fx 4.5.2 but nothing worked
    please help….

Leave a Reply